# $Revision: 1.15 $, $Date: 2007/09/05 13:27:22 $
Summary:	ISO-2022-KR (KSX1001) encoding support for xpdf
Summary(pl.UTF-8):	Wsparcie kodowania ISO-2022-KR (KSX1001) dla xpdf
Name:		xpdf-korean
Version:	1.0
Release:	6
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-2005-jul-07.tar.gz
# Source0-md5:	3c1e00f3b9d5fa713df8a3d763d12f3a
URL:		http://www.foolabs.com/xpdf/
Requires(post,preun):	grep
Requires(post,preun):	xpdf
Requires(preun):	fileutils
Requires:	xpdf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.)
This package provides support files needed to use the Xpdf tools with
Korean PDF files.

%description -l pl.UTF-8
Pakiety wspierające języki Xpdf zawierają pliki CMap, kodowania oraz
różne inne informacje konfiguracyjne niezbędne bądź przydatne przy
określonych zestawach znaków. (Nie zawierają żadnych fontów).
Ten pakiet zawiera pliki potrzebne do używania narzędzi Xpdf z
koreańskimi plikami PDF.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xpdf/CMap-korean

install *.unicodeMap $RPM_BUILD_ROOT%{_datadir}/xpdf
install *.cidToUnicode $RPM_BUILD_ROOT%{_datadir}/xpdf
install CMap/* $RPM_BUILD_ROOT%{_datadir}/xpdf/CMap-korean

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/xpdfrc ]; then
	echo 'unicodeMap	ISO-2022-KR	/usr/share/xpdf/ISO-2022-KR.unicodeMap' >> /etc/xpdfrc
	echo 'cidToUnicode	Adobe-Korea1	/usr/share/xpdf/Adobe-Korea1.cidToUnicode' >> /etc/xpdfrc
	echo 'cMapDir		Adobe-Korea1	/usr/share/xpdf/CMap-korean' >> /etc/xpdfrc
	echo 'toUnicodeDir			/usr/share/xpdf/CMap-korean' >> /etc/xpdfrc
	echo 'displayCIDFontX	Adobe-Korea1	"-*-mincho-medium-r-normal-*-%s-*-*-*-*-*-ksc5601.1987-0" ISO-2022-KR' >> /etc/xpdfrc
else
 if ! grep -q 'ISO-2022-KR\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	ISO-2022-KR	/usr/share/xpdf/ISO-2022-KR.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'Adobe-Korea1\.cidToUnicode' /etc/xpdfrc; then
	echo 'cidToUnicode	Adobe-Korea1	/usr/share/xpdf/Adobe-Korea1.cidToUnicode' >> /etc/xpdfrc
 fi
 if ! grep -q 'CMap-korean' /etc/xpdfrc; then
	echo 'cMapDir		Adobe-Korea1	/usr/share/xpdf/CMap-korean' >> /etc/xpdfrc
	echo 'toUnicodeDir			/usr/share/xpdf/CMap-korean' >> /etc/xpdfrc
 fi
 if ! grep -q -e '-\*-mincho-medium-r-normal-\*-%s-\*-\*-\*-\*-\*-ksc5601\.1987-0' /etc/xpdfrc; then
	echo 'displayCIDFontX	Adobe-Korea1	"-*-mincho-medium-r-normal-*-%s-*-*-*-*-*-ksc5601.1987-0" ISO-2022-KR' >> /etc/xpdfrc
 fi
fi

%preun
if [ "$1" = "0" ]; then
	umask 022
	grep -v 'ISO-2022-KR\.unicodeMap' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'Adobe-Korea1\.cidToUnicode' /etc/xpdfrc.new > /etc/xpdfrc
	grep -v 'CMap-korean' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v -e '-\*-mincho-medium-r-normal-\*-%s-\*-\*-\*-\*-\*-ksc5601\.1987-0' /etc/xpdfrc.new > /etc/xpdfrc
	rm -f /etc/xpdfrc.new
fi

%files
%defattr(644,root,root,755)
%doc README add-to-xpdfrc
%{_datadir}/xpdf/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpdf-korean.spec,v $
Revision 1.15  2007/09/05 13:27:22  baggins
- rel 6

Revision 1.14  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.12  2005/08/28 09:51:48  qboosh
- updated to 2005-jul-07, release 5

Revision 1.11  2004/01/25 01:23:14  gotar
- updated

Revision 1.10  2003/08/18 08:09:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/07/31 08:38:08  gotar
- fixed %preun scripts,
- release++.

Revision 1.8  2003/05/28 13:03:12  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:28:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/04 14:53:05  qrczak
- Use -e before grep patterns starting with '-'.

Revision 1.5  2003/03/15 22:31:46  gotar
- BuildArch: noarch,
- release++.

Revision 1.4  2003/02/11 20:08:24  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.3  2003/01/19 00:04:19  gotar
- fixed %post and %preun scripts

Revision 1.2  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.1  2002/09/09 12:38:46  gotar
- initial PLD release, STBR.
